# coding=utf-8

from django.conf import settings
from django.core.mail import send_mail
from django.core.mail import EmailMessage


class EmailSender(object):
    def send_email(self, subject, body, recipients, cc_recipients=[]):
        email_from = getattr(settings, "DEFAULT_FROM_EMAIL", None)
        recipient_list = []
        for recipient in recipients.split(";"):
            recipient_list.append(recipient)
        cc_recipients.append(email_from)

        message = EmailMessage(
            subject,
            body,
            email_from,
            recipient_list,
            cc=cc_recipients
        )
        message.content_subtype = "html"
        message.send()

#        send_mail(subject, "", email_from, recipient_list, cc=cc_recipients, html_message=body)
